<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
<div id="header">
		<h2>HTML Entities</h2>
		<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em></p>
</div>
	
	
<!-- Defines HTML Table -->
<div id="main">
		<table border="1">
		<!-- Used to group table header content -->
		<thead>
		<!-- Defines table row -->
			<tr>
				<!-- Table headings -->
				<th colspan="2">Entity</th>
				<th>Description</th>


			</tr>

		</thead>
		<tbody>
			<tr>
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>

			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>

			<tr>
				<td>&#8369</td>
				<td>#8369</td>
				<td>peso sign</td>
			</tr>

			<tr>
				<td>&amp</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>

			<tr>
				<td>&quot</td>
				<td>quot</td>
				<td>double quotation mark</td>
			</tr>

			<tr>
				<td>&apos</td>
				<td>apos</td>
				<td>apostrophe</td>
			</tr>

			<tr>
				<td>&ntilde</td>
				<td>ntilde</td>
				<td>Lower Tilde</td>
			</tr>

			<tr>
				<td>&Ntilde</td>
				<td>Ntilde</td>
				<td>Upper Tilde</td>
			</tr>



		</tbody>

		<tfoot>
				<th colspan="3">List of HTML Entities</th>	

		</tfoot>
		</table>
</div>

<hr>

<div id="forms">
	<h2>HTML Forms</h2>
	<p><em>Inputs elements that make up a form.</em></p>
	<!-- creates an html form to capture user input -->
	<form action="https://google.com">
		<label for="fullName">Full Name:</label><br>
		<input type="text" name="fullName" id="fullName" required><br>

		<label for="birthDate">Birth Date:</label><br>
		<input type="date" name="birthDate" id="birthDate" required><br>
		
		<label for="age">Age</label><br>
		<input type="number" name="age" id="age" required><br>

		<label for="gender">Gender</label><br>
		<!-- created drop down menu -->
		<select>
			<option value="Male">Male</option>
			<option value="Female">Female</option>
			<option value="Others">Prefer not to specify</option>	
		</select><br>

		<label>New user?<br>
		<!-- creates radio/relational button -->
		<input type="radio" name="userType" id="newUser" value="yes">
		<label for="userType">Yes</label><br>

		<input type="radio" name="userType" id="oldUser" value="yes">
		<label for="userType">No</label><br>

		<label>Notes:</label><br>
		<textarea name="notes" id="notes" rows="5"></textarea><br>


		<label>Role:</label><br>

		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label><br>

		<input type="checkbox" name="role1" id="role2" value="student">
		<label for="role2">Student</label><br>

		<input type="checkbox" name="role1" id="role3" value="manager">
		<label for="role3">Manager</label><br>

		<br>
		<button type="submit">Submit</button><br>
		<button type="reset">Reset</button><br>


	</form>
</div>

</body>
</html>